Subject: [Bier] Questions about a few MSR6 related drafts

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Fri, 5 Nov 2021 19:54:36 +0000

Hi,

I see draft-geng-msr6-traffic-engineering is on the agenda for PIM WG in this IETF. I have a few questions on the relationship among some drafts.

- This MSR6 TE draft (draft-geng-msr6-traffic-engineering) mentions BIER and that "MSR6 needs to reuse the advantages of SRv6 and BIER to implement source routing". However, it does not really seem to make use of BIER (or BIER TE) forwarding. Rather, it seems to be a bit similar to draft-chen-pim-srv6-p2mp-path. Can you clarify the relationship among MSR6 TE, BIER, BIER TE and draft-chen-pim-srv6-p2mp-path?

- There is another MSR6 BE (Best Effort, draft-lx-msr6-rgb-segment) draft that I don't see on the agenda. It also mentions BIER and does make use of BIER forwarding. Can you clarify the relationship between MSR6 BE and BIERv6?

I notice that the MSR6 BE/TE draft names do not yet have PIM in them. Is it because we're not yet sure where they belong?

Thanks.
Jeffrey

Juniper Business Use Only